About
-----

The Fabric server is an example plugin which includes a test server
that fabricates metric data.

Building the Fabric Plugin
--------------------------

% ant

Testing the Fabric Plugin
-------------------------

Start the test server:

% perl bin/fabric_server.pl

% java -jar ../../lib/hq-product.jar -Dplugin.dir=build/plugins \
  -p fabric -m discover

% java -jar ../../lib/hq-product.jar -Dplugin.dir=build/plugins \
  -p fabric -m metric

Installing the Fabric Plugin
----------------------------

Copy the plugin to the server:

% cp build/plugins/fabric-plugin.jar \
  ../server-x.x/hq-engine/server/default/deploy/hq.ear/hq-plugins/

Copy the plugin to the agent:

% cp build/plugins/fabric-plugin.jar \
  ../agent-x.x/pdk/plugins/
